Langsung ke konten utama
GET
/
v3
/
stores
/
{store_id}
/
customers
/
me
/
variants
/
{uuid}
/
course
Get course access for a purchased variant
curl --request GET \
  --url https://api.scalev.com/v3/stores/{store_id}/customers/me/variants/{uuid}/course \
  --header 'Authorization: Bearer <token>'
{
  "id": 123,
  "item_type": "<string>",
  "pricing_type": "<string>",
  "interval": "<string>",
  "interval_count": 123,
  "validity_period_unit": "<string>",
  "validity_period": 123,
  "product_id": 123,
  "description": "<string>",
  "product_name": "<string>",
  "fullname": "<string>",
  "course_settings": {},
  "course_sections": [
    {
      "uuid": "<string>",
      "title": "<string>",
      "type": "<string>",
      "sequence_order": 123,
      "is_shown": true,
      "variant_id": 123,
      "course_contents": [
        {
          "uuid": "<string>",
          "title": "<string>",
          "text": "<string>",
          "type": "<string>",
          "duration": 123,
          "video_url": "<string>",
          "sequence_order": 123,
          "is_shown": true,
          "is_discussion_active": true,
          "section_uuid": "<string>",
          "variant_id": 123,
          "boosts": [
            {}
          ],
          "progress": {
            "updated_at": "2023-11-07T05:31:56Z",
            "progress": 123,
            "is_completed": true
          },
          "is_notification_enabled": true,
          "inserted_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z"
        }
      ],
      "progress": {
        "updated_at": "2023-11-07T05:31:56Z",
        "progress": 123,
        "is_completed": true
      },
      "inserted_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Otorisasi

Authorization
string
header
wajib

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Parameter Path

uuid
string
wajib
store_id
string
wajib

Store unique_id.

Respons

Course access for a purchased variant

id
integer
item_type
string | null
pricing_type
string | null
interval
string | null
interval_count
integer | null
validity_period_unit
string | null
validity_period
integer | null
product_id
integer
description
string | null
product_name
string | null
fullname
string | null
course_settings
object
course_sections
object[]